[SCM] live-build branch, debian-next, updated. debian/3.0_a16-1-17-g11eeea6

Daniel Baumann daniel at debian.org
Wed May 18 17:45:28 UTC 2011


The following commit has been merged in the debian-next branch:
commit 11eeea6f6c81d69c2c685bb6dafbb8126094ff48
Author: liandro sg <liandrosg at gmail.com>
Date:   Wed May 18 19:42:51 2011 +0200

    Be more careful with subshells (Closes: #623356).

diff --git a/scripts/build/lb_binary_local-hooks b/scripts/build/lb_binary_local-hooks
index 729200d..e3c08c2 100755
--- a/scripts/build/lb_binary_local-hooks
+++ b/scripts/build/lb_binary_local-hooks
@@ -50,7 +50,7 @@ then
 		fi
 
 		# Executing hook
-		./"${HOOK}" || ( Echo_error "${HOOK} failed (exit non-zero). You should check for errors."; exit 1 )
+		./"${HOOK}" || { Echo_error "${HOOK} failed (exit non-zero). You should check for errors."; exit 1 ;}
 	done
 
 	# Creating stage file
diff --git a/scripts/build/lb_chroot_hooks b/scripts/build/lb_chroot_hooks
index 3a15956..0251b35 100755
--- a/scripts/build/lb_chroot_hooks
+++ b/scripts/build/lb_chroot_hooks
@@ -55,7 +55,7 @@ do
 		fi
 
 		# Executing hook
-		Chroot chroot "./root/${HOOK}" || ( Echo_error "${HOOK} failed (exit non-zero). You should check for errors."; exit 1 )
+		Chroot chroot "./root/${HOOK}" || { Echo_error "${HOOK} failed (exit non-zero). You should check for errors."; exit 1 ;}
 
 		# Removing hook
 		rm -f chroot/root/"${HOOK}"
diff --git a/scripts/build/lb_chroot_local-hooks b/scripts/build/lb_chroot_local-hooks
index c163ca3..c6482c5 100755
--- a/scripts/build/lb_chroot_local-hooks
+++ b/scripts/build/lb_chroot_local-hooks
@@ -56,7 +56,7 @@ then
 		fi
 
 		# Executing hook
-		Chroot chroot "/root/$(basename ${HOOK})" || ( Echo_error "${HOOK} failed (exit non-zero). You should check for errors."; exit 1 )
+		Chroot chroot "/root/$(basename ${HOOK})" || { Echo_error "${HOOK} failed (exit non-zero). You should check for errors."; exit 1 ;}
 
 		# Removing hook
 		rm -f chroot/root/"$(basename ${HOOK})"

-- 
live-build



More information about the debian-live-changes mailing list